Main Page Namespace List Compound List File List Namespace Members Compound Members

# iNXTIterator.h File Reference

Interface used for searching for LEGO MINDSTORMS NXTs. More...

`#include "platform.h"`
`#include "tStatus.h"`

Go to the source code of this file.

## Namespaces

namespace | nFANTOM100

## Compounds

class | nFANTOM100::iNXTIterator
| Interface to an iterator for LEGO MINDSTORMS NXTs. More...

## Typedefs

typedef ViObject | nFANTOM100_iNXTIterator
typedef ViObject | nFANTOM100_iNXT

## Functions

nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iNXTIterator_getName (nFANTOM100_iNXTIterator iteratorPtr, ViChar resourceName[], ViStatus *status)
nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iNXTIterator_advance (nFANTOM100_iNXTIterator iteratorPtr, ViStatus *status)
nFANTOM100_kExport nFANTOM100_iNXT _VI_FUNCC | nFANTOM100_iNXTIterator_getNXT (nFANTOM100_iNXTIterator iteratorPtr, ViStatus *status)

## Detailed Description

Interface used for searching for LEGO MINDSTORMS NXTs.

© Copyright 2005-2006, National Instruments Corporation. All rights reserved.